Admin Update Price
curl --request PATCH \
--url https://api.member.dev/api/v1/teams/{team_id}/products/{product_id}/prices/{price_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"description": "<string>",
"is_active": true,
"metadata": {},
"name": "<string>"
},
"type": "prices"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/products/{product_id}/prices/{price_id}"
payload = { "data": {
"attributes": {
"description": "<string>",
"is_active": True,
"metadata": {},
"name": "<string>"
},
"type": "prices"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {description: '<string>', is_active: true, metadata: {}, name: '<string>'},
type: 'prices'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/products/{product_id}/prices/{price_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"amount": 123,
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"interval": "<string>",
"interval_count": 123,
"is_active": true,
"legacy_price_id": "<string>",
"metadata": {},
"name": "<string>",
"product_id": "<string>",
"team_id": "<string>",
"trial_period_days": 123,
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "prices"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}products-admin
Admin Update Price
Update non-billing price fields (name, description, is_active, metadata).
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
products
/
{product_id}
/
prices
/
{price_id}
Admin Update Price
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I